apply-multiarch-hints(1)

NAME
apply-multiarch-hints - apply multi-arch hints

SYNOPSIS
apply-multiarch-hints [OPTIONS]

DESCRIPTION
Apply multi-arch hints to a package.

See https://wiki.debian.org/MultiArch/Hints for more information about multi-arch hints.

Note that because this uses the Debian-specific multi-arch hints, it is not meaningful to use on packages in other distributions. It is safe to run alongside lintian-brush and will only make changes when the central database contains applicable hints for binaries in the package.

  optional arguments:

-h, --help
    Show this help message and exit.

--version
    Show program's version number and exit.

-d, --directory DIR
    Directory to run in. Defaults to the current directory.

--update-changelog
    Always update the changelog.

--no-update-changelog
    Do not update the changelog (useful when using e.g. "gbp dch").

--allow-reformatting
    Allow reformatting of files that are being changed, so long as this does not affect the semantics.

--diff
    After running, display the changes made as a single unified diff.

--dry-run
    Run but do not actually make changes to the repository.

--identity
    Print the identity (name and e-mailaddress) that apply-multiarch-hints will use when committing changes, and exit.

--verbose
    Print list of hints that were applied.

--debug
    Enable debug output.

--disable-net-access
    Do not probe external services.

ENVIRONMENT

DEB_UPDATE_CHANGELOG
    Used to control whether the changelog should be updated, depending on whether it is set to "leave", "update" or "auto". The --update-changelog and --no-update-changelog arguments override this.

SEE ALSO
lintian-brush.conf(5) lintian-brush(1)

AUTHORS
Jelmer Vernooij <jelmer@debian.org>